## tome 2.3.11

=== CMakeLists.txt ===
# Project definition.
PROJECT (tome2)
CMAKE_MINIMUM_REQUIRED (VERSION 2.6)

# We want a readable feature summary.
INCLUDE(FeatureSummary)

# Default flags.
IF(CMAKE_COMPILER_IS_GNUCC)
  # Let's set sensible options.
  SET(CMAKE_C_FLAGS         "${CMAKE_C_FLAGS} -pipe -Wall -Wno-unused-value")
  SET(CMAKE_C_FLAGS_RELEASE "-O2")
  SET(CMAKE_C_FLAGS_DEBUG   "-O0 -g")
ENDIF()

# Add definitions.
ADD_DEFINITIONS(-DUSE_PRECISE_CMOVIE)

#
# X11 support (OPTIONAL)
#
FIND_PACKAGE(X11)
IF(X11_FOUND)
  # Add X11 flags/options
  ADD_DEFINITIONS(-DUSE_X11)
  INCLUDE_DIRECTORIES(${X11_INCLUDE_DIR})
  SET(LIBS ${LIBS} ${X11_LIBRARIES})
ENDIF()

#
# GTK2 support (OPTIONAL)
#
FIND_PACKAGE(GTK2)
IF(GTK2_FOUND)
  # Add GTK flags/options
  ADD_DEFINITIONS(-DUSE_GTK2)
  INCLUDE_DIRECTORIES(${GTK2_INCLUDE_DIRS})
  SET(LIBS ${LIBS} ${GTK2_LIBRARIES})
ENDIF()

#
# SDL support (OPTIONAL)
#
FIND_PACKAGE(SDL)
IF(SDL_FOUND)
  # This is a bit roundabout, but we're working around
  # the FindSDL_* scripts not respecting the REQUIRED
  # flag.
  #
  # the SDL port also requires SDL_image and SDL_ttf
  FIND_PACKAGE(SDL_image)
  FIND_PACKAGE(SDL_ttf)
  IF(SDLIMAGE_FOUND AND SDLTTF_FOUND)
    # Add SDL flags/options
    ADD_DEFINITIONS(-DUSE_SDL)
    INCLUDE_DIRECTORIES(${SDL_INCLUDE_DIR} ${SDLIMAGE_INCLUDE_DIR} ${SDLTTF_INCLUDE_DIR})
    SET(LIBS ${LIBS} ${SDLIMAGE_LIBRARY} ${SDLTTF_LIBRARY} ${SDL_LIBRARY} m)
  ELSE()
    # Let user know that (and why) we haven't enabled SDL.
    IF(SDLIMAGE_FOUND)
      MESSAGE(STATUS "Found SDL and SDL_image, but not SDL_ttf!")
    ELSEIF(SDLTTF_FOUND)
      MESSAGE(STATUS "Found SDL and SDL_ttf, but not SDL_image!")
    ELSE()
      MESSAGE(STATUS "Found SDL, but not SDL_image nor SDL_ttf!")
    ENDIF()
    # add info about finding but not enabling SDL
    SET_FEATURE_INFO(SDL "not enabled")
  ENDIF()
ENDIF()

#
# Curses support (OPTIONAL)
#
FIND_PACKAGE(Curses)
IF(CURSES_FOUND)
  # Add Curses flags/options
  ADD_DEFINITIONS(-DUSE_GCU)
  INCLUDE_DIRECTORIES(${CURSES_INCLUDE_DIR})
  SET(LIBS ${LIBS} ${CURSES_LIBRARIES})
ENDIF()

#
# Windows support
#
if(WIN32)
  # Add Windows flags/options
  ADD_DEFINITIONS(-DWINDOWS)
  SET(EXECUTABLE_OPTIONS WIN32)
  SET(LIBS ${LIBS} winmm wsock32)
endif(WIN32)

#
# Set the path for loading the library bits.
#
IF(SYSTEM_INSTALL)
  SET(DEFAULT_PATH "${CMAKE_INSTALL_PREFIX}/lib/tome")
ELSE()
  SET(DEFAULT_PATH "./lib")
ENDIF()
ADD_DEFINITIONS(-DDEFAULT_PATH="${DEFAULT_PATH}")

# Print out a summary of features.
PRINT_ENABLED_FEATURES()

# Add the source subdirectory.
ADD_SUBDIRECTORY (src)
ADD_SUBDIRECTORY (lib)

=== lib/CMakeLists.txt ===
INSTALL(FILES
  module.lua
  DESTINATION ${DEFAULT_PATH}
)
INSTALL(DIRECTORY 
  apex
  cmov
  core
  data
  dngn
  edit
  file
  help
  info
  mods
  note
  pref
  save
  scpt
  user
  xtra
  DESTINATION ${DEFAULT_PATH}
  PATTERN "*.raw" EXCLUDE
  PATTERN "delete.me" EXCLUDE
  )

=== src/CMakeLists.txt ===
# Lua support code.
ADD_SUBDIRECTORY(lua)

SET(SRCS
  main-gcu.c main-x11.c main-xaw.c main-sdl.c main-gtk2.c
  z-rand.c z-util.c z-form.c z-virt.c z-term.c
  variable.c tables.c plots.c util.c cave.c dungeon.c 
  melee1.c melee2.c modules.c 
  object1.c object2.c randart.c squeltch.c traps.c 
  monster1.c monster2.c monster3.c
  xtra1.c xtra2.c skills.c powers.c gods.c
  spells1.c spells2.c
  status.c files.c notes.c loadsave.c
  cmd1.c cmd2.c cmd3.c cmd4.c cmd5.c cmd6.c cmd7.c
  help.c
  generate.c gen_maze.c gen_evol.c wild.c levels.c store.c bldg.c
  cmovie.c
  wizard2.c init2.c birth.c wizard1.c init1.c main.c 
  # Lua bits:
  lua_bind.c script.c w_mnster.c w_player.c w_play_c.c w_z_pack.c
  w_obj.c w_util.c w_spells.c w_quest.c w_dun.c
)

# Need a few additional source files for Windows.
if(WIN32)
  SET(SRCS ${SRCS} main-win.c readdib.c)
  # Resource files require a little workaround.
  if(MINGW)
    # Workaround for resource compilation for mingw on CMake.
    # See http://www.cmake.org/Bug/view.php?id=4068
    ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/angband_rc.o
                       COMMAND windres.exe -I${CMAKE_CURRENT_SOURCE_DIR}
                                           -i${CMAKE_CURRENT_SOURCE_DIR}/angband.rc
                                           -o ${CMAKE_CURRENT_BINARY_DIR}/angband_rc.o)
    SET(SRCS ${SRCS} ${CMAKE_CURRENT_BINARY_DIR}/angband_rc.o)
  else(MINGW)
    SET(SRCS ${SRCS} angband.rc)
  endif(MINGW)
endif(WIN32)


# Macro for defining tolua targets.
MACRO(TOLUA_FILE MODULE_NAME OUTPUT_FILE_NAME)
  ADD_CUSTOM_COMMAND(
    OUTPUT ${OUTPUT_FILE_NAME}
    COMMAND tolua -n ${MODULE_NAME} -o ${CMAKE_CURRENT_BINARY_DIR}/${OUTPUT_FILE_NAME} ${CMAKE_CURRENT_SOURCE_DIR}/${MODULE_NAME}.pkg
    DEPENDS tolua ${CMAKE_CURRENT_SOURCE_DIR}/${MODULE_NAME}.pkg
    )
  SET_SOURCE_FILES_PROPERTIES("${OUTPUT_FILE_NAME}" PROPERTIES GENERATED TRUE)
ENDMACRO(TOLUA_FILE)

# Process all the needed modules.
TOLUA_FILE(monster w_mnster.c)
TOLUA_FILE(player w_player.c)
TOLUA_FILE(player_c w_play_c.c)
TOLUA_FILE(z_pack w_z_pack.c)
TOLUA_FILE(object w_obj.c)
TOLUA_FILE(util w_util.c)
TOLUA_FILE(spells w_spells.c)
TOLUA_FILE(quest w_quest.c)
TOLUA_FILE(dungeon w_dun.c)

# tome executable
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/lua)
ADD_EXECUTABLE(tome ${EXECUTABLE_OPTIONS} ${SRCS})
TARGET_LINK_LIBRARIES(tome lua ${LIBS})

# Installation
INSTALL(TARGETS tome
  RUNTIME DESTINATION bin
)

=== src/lua/CMakeLists.txt ===
ADD_LIBRARY (lua STATIC 
  lapi.c lcode.c ldebug.c ldo.c lfunc.c lgc.c
  llex.c lmem.c lobject.c lparser.c lstate.c lstring.c
  ltable.c ltests.c ltm.c lundump.c lvm.c lzio.c
  lauxlib.c lbaselib.c ldblib.c liolib.c lstrlib.c
  tolua_lb.c tolua_rg.c tolua_tt.c tolua_tm.c tolua_gp.c
  tolua_eh.c tolua_bd.c)

ADD_EXECUTABLE(tolua tolua.c tolualua.c lua)

TARGET_LINK_LIBRARIES(tolua lua)

## tome 2.3.11-ah

=== debian/changelog ===
tome (2.3.11-ah-2) unstable; urgency=low

  * Modified the install paths to deploy to the FHS compliant
    /usr/games/tome and /var/games/tome, as we have always done
  * This is a major change, and includes theming. Some of the options have
    changed. Because of this, the manual page has been removed; there is a
    command line help  option and in game help until the manual page is
    rewritten.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 May 2014 23:54:09 -0700

tome (2.3.11-ah-1) unstable; urgency=low

  * New upstream release, with minor bug fixes.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 May 2014 20:40:47 -0700

tome (2.3.10-ah-1) unstable; urgency=low

  * New upstream release
    User Interface:
    - Always display list of selectable objects, i.e. remove the option of
      pressing '*' to hide list.
    - GTK2: Allow running with Shift + arrow keys. (Thanks to Lord
      Estraven.)
    - SDL fixes. (Thanks to Lord Estraven.)
    - System-wide character scores were removed. Use the ladder at
      http://angband.oook.cz instead.
    - Panic saves are no longer created. Saving state when memory is
      likely corrupted seems like a bad idea.
    - Remove long-obsolete front-ends.
    - Unix: Removed pointless and error-prone signal handling aimed at
      preventing cheating.
    - Removed gamma correction.
    Game:
    - Killerbunnies: Character dump now lists companions.
    - Killerbunnies: Fix dodge messages.
    - Imported Theme 1.2.0 since this excellent module by Furiosity seems
      to not be downloadable any more.
    - Further Thaumaturgy tweaks by Lord Estraven

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 May 2014 20:29:54 -0700

tome (2.3.9-ah-1) unstable; urgency=low

  * New upstream release
    User Interface:
    - Always display list of selectable objects immediately
      instead of requiring user to press '*'.
    - Fix display issues with extremely wide terminals.
    - Automatizer: Fix memory corruption issues.
    - Remove obsolete and pointless options.
    Game:
    - Items are now immediately pseudo-identified upon pickup.
    - Psycometry now always Identifies regardless of level.
    - Remove the need to instantly leave for a certain quest. Lots
      of players would get caught out by this.
    - A few Mindcraft powers now scale with skill level. (Credit
      for these goes to Lord Estraven.)
    - "Far reaching attack" now works for *all* polearms.
    - Fixes and tweaks for Thaumaturgy to make view/area spells less
      overpowered and to make bolt/ball spells more useful. (Credit
      goes to Lord Estraven.)

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 May 2014 20:29:27 -0700

tome (2.3.8-ah-1) unstable; urgency=low

  * New upstream release
    Game:
    - Fix duration display for the Shapeshift Mimicry power. Thanks
      to morchant for the fix.
    - Fix for creating "inventory" and "equipment" rules from the
      Automatizer UI. Thanks to morchant for the fix.
    - Fix for Lua code which should hopefully get things working better
      for OpenBSD users. Thanks to Kernigh for the patch.
    - Change "molten glass wall" to use a different internal code to
      hopefully avoid clashes with modules such as Theme.
    - Removed the check on low fuel on your light source when traveling.
      It doesn't make sense since you can already travel without any light
      equipped.
    Build System:
    - Added support for building the GTK2 interface; only lightly tested.
    - Miscellaneous fixes to the CMake files. Thanks to Kernigh for
      contributing these.
  * Now that we are using cmake, undo changes we made to Makefile.std

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 May 2014 19:38:32 -0700

tome (2.3.7-ah-1) unstable; urgency=low

  * New upstream maintenance release
    - Remove item pval from antimagic field strength calculation since it
      may be both non-zero and invisible (to the player).
    - Miscellaneous 64 bit fixes.
    - Fix Lua errors when hitting <ESC> while choosing spell.
    - Killerbunnies: Automatizer: Add patch which adds new <inventory/>
      and <equipment/> rules.
    - Killerbunnies: Add "you do not know all your fate" to Fate menu
      if you haven't been discovered all your fates.
    - Killerbunnies: Display a message if trying to activate Piercing Shots
      without the necessary skill levels.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 May 2014 14:43:34 -0700

tome (2.3.6-ah-1) unstable; urgency=medium

  * Upstream development of version 2 has moved into maintenance mode,
    with a new upstream git repository at:
    git://gitorious.org/tome2/tome2.git
    - Don't generate impassable glass walls.
    - Mark *all* quest monsters properly.
    - Avoid generating up staircases in selected dungeons.
    - Mimicry cloaks of Abomination now aggravate properly.
    - Properly handle item set effects with certain traps.
    - Fix crash bug during character dumps.
    - Misc. Mimicry fixes.
    - Prevent immunities from Balrog Form persisting too long.
    - Fix for loading/saving on Linux distribution using Fortify.
    - Fix for module directory paths.
    - Fix miscellaneous problems on 64-bit platforms.
    - Princess room should now always be generated.
    - Extra Blows applies to barehand combat too.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 May 2014 13:49:42 -0700

tome (2.3.5-4) unstable; urgency=low

  * On purge, get rid of /var/games/tome directory (and all the score
    files)  (Closes: #663525).
  * Bug fix #663525: "unowned files after purge (policy 6.8, 10.8)", thanks to
    Andreas Beckmann

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 05 May 2014 10:49:34 -0700

tome (2.3.5-3) unstable; urgency=low

  * New bug fixing release.
  * Bug fix: "FTBFS due to binutils-gold", thanks to Bhavani Shankar
    R. Added -lm toi the linker line.    (Closes: #607552).


=== debian/control ===
Source: tome
VCS-Git: git://anonscm.debian.org/users/srivasta/debian/tome.git
VCS-Browser: http://anonscm.debian.org/gitweb/?p=users/srivasta/debian/tome.git;a=summary
Section: non-free/games
Priority: optional
Maintainer: Manoj Srivastava <srivasta@debian.org>
Build-Depends: libxaw7-dev, debhelper (>= 9.0.0),
 libncurses5-dev | libncurses-dev | ncurses-dev,
 libsdl1.2-dev | libsdl-dev, libsdl-mixer1.2-dev,
 libsdl-gfx1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev,
 libsdl-net1.2-dev, dpkg-dev (>= 1.16.0), cmake
Standards-Version: 3.9.5.0

Package: tome
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: single-player text-based roguelike dungeon simulation game
 Tome, short for Troubles of Middle Earth, is a single-player,
 text-based, dungeon simulation derived from the game angband, which
 in turn is derived from the older game Moria, which was in turn based
 on Rogue. It is often described as a "roguelike" game because the
 look and feel of the game is still quite similar to Rogue.
 .
 In tome, the  player may choose from a number of races and classes
 when creating a character, and then "run" that character over a
 period of days, weeks, even months, attempting to win the game by
 defeating Morgoth, who lurks somewhere in  the depths of the dungeon.
 .
 The ultimate goal of the game is to develop a character strong enough
 to defeat Morgoth, who resides on dungeon level 100. Upon doing so,
 you will receive the exalted status of "winner" and your character may
 retire.
 .
 The first main difference from Angband a new player to ToME will need
 to be aware of is that it has implemented a skills based system where
 instead of the  adventurer automatically improving in their abilities
 as they become more experienced, they get 5 skill points to spend on
 their character's abilities and can therefore customise what type of
 character they play. See the skills help file for details
 .
 The second major difference is that the main dungeon from Angband has
 been split  into 4 "dungeons", each of which cover a different
 portion of the dungeon's  levels. Note that not all of the places are
 actually "dungeons" - some are caves, forests, etc.
 .
 The third main difference between Vanilla Angband and ToME is the
 difference  in character classes and races, as well as a very
 different  magic system. ToME also offers the player the ability to
 undertake a series of  quests. It is not required for any adventurer
 to undertake  the fixed  quests, but they can result in some nice
 rewards.
 .
 Morgoth was 'the Dark Enemy of Middle-Earth' during its First Age. He
 was banished by the Valar (offspring of Eru, "god" of J.R.R.
 Tolkien's world) at the end of the First Age and thus never appears
 in The Lord of the Rings, set during the Third Age. Sauron, who does
 figure into those tales, was the most powerful of his servants. Read
 Tolkien's 'The Silmarillion' for more on the legends of Middle-Earth.
 Angband is a reference to Morgoth's "prison of iron."

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
package:=tome
SRCTOP:= $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
INSTALL = install
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
    INSTALL_PROGRAM += -s
endif
install_file	= $(INSTALL) -p	   -o root -g root  -m	644
install_program = $(INSTALL) -p	   -o root -g root  -m	755
install_script	= $(INSTALL) -p	   -o root -g root  -m	755
make_directory	= $(INSTALL) -p -d -o root -g root  -m	755
PREFIX=/usr

## libdir should be /var/lib/games/$(package)/
LIBDIR = /var/games/$(package)
BINDIR  = $(PREFIX)/bin
MANDIR  = $(PREFIX)/share/man
MAN1DIR = $(MANDIR)/man1
MAN6DIR = $(MANDIR)/man6
DOCDIR  = $(PREFIX)/share/doc/$(package)
INFODIR = $(PREFIX)/share/info

TMPTOP     = $(SRCTOP)/debian/$(package)
PKG_LIBDIR = $(TMPTOP)/$(LIBDIR)
PKG_BIN    = $(TMPTOP)$(BINDIR)
PKG_MANDIR = $(TMPTOP)$(MANDIR)
PKG_DOC    = $(TMPTOP)$(DOCDIR)
PKG_INFO   = $(TMPTOP)$(INFODIR)
PKG_MENU   = $(TMPTOP)$(PREFIX)/lib/menu
PKG_DBASE  = $(TMPTOP)$(PREFIX)/share/doc-base
PKG_MAN    = $(PKG_MANDIR)/man6
PKG_MENUDIR= $(TMPTOP)$(PREFIX)/share/menu
PKG_STATLIB= $(TMPTOP)$(PREFIX)/lib/$(package)

DPKG_ARCH := dpkg-architecture
export DEB_HOST_MULTIARCH  := $(shell $(DPKG_ARCH) $(ha) -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DSYSTEM_INSTALL:BOOL=true

override_dh_auto_build:
	bash -n debian/postinst
	bash -n debian/postrm
	bash -n debian/prerm
	bash -n debian/preinst
	bash -n debian/Tome.sh

override_dh_install:
	$(make_directory)    $(TMPTOP)/etc/$(package) $(PKG_STATLIB)
	chmod 0644           $(PKG_LIBDIR)/edit/s_factory.map
	chmod 0644           $(PKG_LIBDIR)/edit/s_ship.map
	(cd $(PKG_LIBDIR);   mv edit file pref $(TMPTOP)/etc/$(package);   \
	                     ln -s /etc/$(package)/edit . ;                 \
	                     ln -s /etc/$(package)/file . ;                 \
	                     ln -s /etc/$(package)/pref . ;     )
	(cd $(PKG_LIBDIR);   mv help $(PKG_STATLIB);    \
	                     ln -s $(PREFIX)/lib/$(package)/help   . ;   )
	for i in save/delete.me ; do                 \
            mkdir -p  $(PKG_LIBDIR)/save             \
	    chmod 0644 $(PKG_LIBDIR)/$$i;            \
	done
	rm -f                $(PKG_LIBDIR)/apex/scores.raw
	find                 $(PKG_LIBDIR) -type f -name .cvsignore -exec rm {} \;

override_dh_fixperms:
	dh_fixperms
	chgrp -R games       $(TMPTOP)/etc/$(package)/* $(PKG_STATLIB)/* $(PKG_LIBDIR) \
                             $(TMPTOP)/usr/games/tome
	chmod g+ws           $(PKG_LIBDIR)/data/
	chmod g+s            $(TMPTOP)/usr/games/tome

override_dh_clean:
	dh_clean
	touch ./lib/apex/delete.me
	touch ./lib/data/delete.me
	touch ./lib/info/delete.me
	touch ./lib/save/delete.me
	touch ./lib/user/delete.me

#Local variables:
#mode: makefile
#End:

=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=3

opts="uversionmangle=s/(\d)(\d)(\d)/$1.$2.$3/g" http://t-o-m-e.net/dl/src/tome-(2.*)-src.tar.bz2

## tome 2.4~0.git.2015.12.29

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,20 +1,69 @@
 # Project definition.
 PROJECT (tome2)
-CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
+CMAKE_MINIMUM_REQUIRED (VERSION 2.8)
 
 # We want a readable feature summary.
 INCLUDE(FeatureSummary)
 
-# Default flags.
+# pkg-config support
+INCLUDE(FindPkgConfig)
+
+#
+# Basic common compiler flags.
+#
+SET(COMMON_COMPILER_FLAGS "-pipe -Wall -Wno-unused-value -fsanitize=undefined -fsanitize=address")
+
+#
+# GCC/G++ flags
+#
 IF(CMAKE_COMPILER_IS_GNUCC)
   # Let's set sensible options.
-  SET(CMAKE_C_FLAGS         "${CMAKE_C_FLAGS} -pipe -Wall -Wno-unused-value")
+  SET(CMAKE_C_FLAGS         "${CMAKE_C_FLAGS} ${COMMON_COMPILER_FLAGS}")
+  SET(CMAKE_C_FLAGS_RELEASE "-O2")
+  SET(CMAKE_C_FLAGS_DEBUG   "-O0 -g")
+  SET(CMAKE_CXX_FLAGS       "${CMAKE_CXX_FLAGS} ${COMMON_COMPILER_FLAGS} --std=c++11 -D_GLIBCXX_DEBUG -D_GLIBCXX_DEBUG_PEDANTIC")
+  SET(CMAKE_CXX_FLAGS_RELEASE "-O2")
+  SET(CMAKE_CXX_FLAGS_DEBUG   "-O0 -g")
+ENDIF()
+
+#
+# Clang flags
+#
+IF("${CMAKE_C_COMPILER_ID}" STREQUAL "Clang")
+  SET(CMAKE_C_FLAGS         "${CMAKE_C_FLAGS} ${COMMON_COMPILER_FLAGS}")
   SET(CMAKE_C_FLAGS_RELEASE "-O2")
   SET(CMAKE_C_FLAGS_DEBUG   "-O0 -g")
 ENDIF()
+IF("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
+  SET(CMAKE_CXX_FLAGS       "${CMAKE_CXX_FLAGS} ${COMMON_COMPILER_FLAGS} --std=c++11 -D_GLIBCXX_DEBUG -D_GLIBCXX_DEBUG_PEDANTIC")
+  SET(CMAKE_CXX_FLAGS_RELEASE "-O2")
+  SET(CMAKE_CXX_FLAGS_DEBUG   "-O0 -g")
+ENDIF()
 
-# Add definitions.
-ADD_DEFINITIONS(-DUSE_PRECISE_CMOVIE)
+# Add standard math library
+SET(LIBS ${LIBS} m)
+
+#
+# JSON support
+#
+PKG_CHECK_MODULES(JANSSON REQUIRED jansson)
+IF(JANSSON_FOUND)
+  ADD_DEFINITIONS(${JANSSON_CFLAGS})
+  INCLUDE_DIRECTORIES(${JANSSON_INCLUDE_DIRS})
+  LINK_DIRECTORIES(${JANSSON_LIBRARY_DIRS})
+  SET(LIBS ${LIBS} ${JANSSON_LIBRARIES})
+ENDIF()
+
+#
+# BOOST
+#
+FIND_PACKAGE(Boost 1.54.0 REQUIRED COMPONENTS system filesystem)
+
+IF(Boost_FOUND)
+  ADD_DEFINITIONS(-DBOOST_FILESYSTEM_NO_DEPRECATED)
+  INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
+  SET(LIBS ${LIBS} ${Boost_LIBRARIES} ${Boost_SYSTEM_LIBRARY} ${Boost_FILESYSTEM_LIBRARY})
+ENDIF()
 
 #
 # X11 support (OPTIONAL)

=== lib/CMakeLists.txt ===
INSTALL(DIRECTORY 
  apex
  cmov
  data
  dngn
  edit
  file
  help
  info
  note
  pref
  save
  user
  xtra
  DESTINATION ${DEFAULT_PATH}
  PATTERN "delete.me" EXCLUDE
  )

ADD_SUBDIRECTORY (mods)

=== src/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/include)
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/../vendor/bandit)

# Add subdirectories
ADD_SUBDIRECTORY (squelch)

# Sources (common)
SET(SRCS_COMMON
  birth.cc
  bldg.cc
  cave.cc
  cmd1.cc
  cmd2.cc
  cmd3.cc
  cmd4.cc
  cmd5.cc
  cmd6.cc
  cmd7.cc
  corrupt.cc
  device_allocation.cc
  dice.cc
  dungeon.cc
  files.cc
  gen_evol.cc
  gen_maze.cc
  generate.cc
  gods.cc
  help.cc
  hiscore.cc
  hooks.cc
  init1.cc
  init2.cc
  joke.cc
  levels.cc
  loadsave.cc
  lua_bind.cc
  melee1.cc
  melee2.cc
  messages.cc
  mimic.cc
  modules.cc
  monster_type.cc
  monster1.cc
  monster2.cc
  monster3.cc
  notes.cc
  object1.cc
  object2.cc
  object_filter.cc
  options.cc
  powers.cc
  q_betwen.cc
  q_bounty.cc
  q_dragons.cc
  q_eol.cc
  q_evil.cc
  q_fireprof.cc
  q_god.cc
  q_god.cc
  q_haunted.cc
  q_hobbit.cc
  q_invas.cc
  q_library.cc
  q_main.cc
  q_narsil.cc
  q_nazgul.cc
  q_nirna.cc
  q_one.cc
  q_poison.cc
  q_rand.cc
  q_shroom.cc
  q_spider.cc
  q_thief.cc
  q_thrain.cc
  q_troll.cc
  q_ultrae.cc
  q_ultrag.cc
  q_wight.cc
  q_wolves.cc
  quark.cc
  quest.cc
  randart.cc
  range.cc
  script.cc
  skills.cc
  spell_type.cc
  spells1.cc
  spells2.cc
  spells3.cc
  spells4.cc
  spells5.cc
  spells6.cc
  squeltch.cc
  status.cc
  store.cc
  tables.cc
  traps.cc
  util.cc
  variable.cc
  wild.cc
  wizard1.cc
  wizard2.cc
  xtra1.cc
  xtra2.cc
  z-form.c
  z-rand.cc
  z-term.c
  z-util.c
)

# Sources (PROGRAM)
SET(SRCS_PROGRAM
  main-gcu.c
  main-gtk2.c
  main-sdl.c
  main-x11.c
  main.c
)

# Sources (TEST)
SET(SRCS_TESTS
  ../tests/get_level_device.cc
  ../tests/harness.cc
  ../tests/lua_get_level.cc
)

ADD_LIBRARY(game
  ${SRCS_COMMON}
)

# Need a few additional source files for Windows.
if(WIN32)
  SET(SRCS ${SRCS} main-win.c)
  # Resource files require a little workaround.
  if(MINGW)
    # Workaround for resource compilation for mingw on CMake.
    # See http://www.cmake.org/Bug/view.php?id=4068
    ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/angband_rc.o
                       COMMAND windres.exe -I${CMAKE_CURRENT_SOURCE_DIR}
                                           -i${CMAKE_CURRENT_SOURCE_DIR}/angband.rc
                                           -o ${CMAKE_CURRENT_BINARY_DIR}/angband_rc.o)
    SET(SRCS ${SRCS} ${CMAKE_CURRENT_BINARY_DIR}/angband_rc.o)
  else(MINGW)
    SET(SRCS ${SRCS} angband.rc)
  endif(MINGW)
endif(WIN32)

# tome executable
ADD_EXECUTABLE(tome ${EXECUTABLE_OPTIONS} ${SRCS_PROGRAM})
TARGET_LINK_LIBRARIES(tome game squelch ${LIBS})

# test harness executable
ADD_EXECUTABLE(harness ${EXECUTABLE_OPTIONS} ${SRCS_TESTS})
TARGET_LINK_LIBRARIES(harness game squelch ${LIBS})

# Installation
INSTALL(TARGETS tome
  RUNTIME DESTINATION bin
)

=== lib/mods/theme/CMakeLists.txt ===
INSTALL(DIRECTORY
  apex
  data
  dngn
  edit
  file
  help
  note
  pref
  save
  user
  DESTINATION ${DEFAULT_PATH}/mods/theme
  PATTERN "delete.me" EXCLUDE
  )

=== vendor/bandit/bandit/assertion_frameworks/snowhouse/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(snowhouse)

option(SNOWHOUSE_BUILD_TESTS    "Build the Snowhouse tests"                 ON)
option(SNOWHOUSE_RUN_TESTS      "Run the Snowhouse tests"                   ON)
option(SNOWHOUSE_IS_CPP11       "Whether to build this as a C++11 project"  OFF)

include_directories("${PROJECT_SOURCE_DIR}")

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ./bin)

set(CMAKE_CXX_FLAGS "-Wfatal-errors -Wall -W -Werror -Wfloat-equal -Wundef -Wendif-labels -Wshadow -pedantic-errors")

if(SNOWHOUSE_IS_CPP11)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wdeprecated")

  if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    if(CMAKE_CXX_COMPILER_VERSION VERSION_LESS "4.7")
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
    else()
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    endif()
  endif()

  if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
  endif()

  if (CMAKE_HOST_APPLE AND (CMAKE_CXX_COMPILER_ID STREQUAL "Clang"))
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
  endif()
endif()

message(${CMAKE_CXX_FLAGS})

if (SNOWHOUSE_BUILD_TESTS)
    FILE(GLOB SnowhouseSpecSourceFiles example/*.cpp)
    add_executable(snowhouse-tests ${SnowhouseSpecSourceFiles})
endif()

if (SNOWHOUSE_BUILD_TESTS AND SNOWHOUSE_RUN_TESTS)
    add_custom_command(TARGET snowhouse-tests
                       POST_BUILD
                       COMMAND snowhouse-tests
                       WORKING_DIRECTORY ./bin)
elseif (SNOWHOUSE_RUN_TESTS)
    message(WARNING "Unable to run snowhouse tests - set:\n  option(SNOWHOUSE_BUILD_TESTS, \"Build the Snowhouse tests\" ON)\nand clear your CMakeCache.txt")
endif()

## tome 2.41

=== CMakeLists.txt ===
# Project definition.
PROJECT (tome2)
CMAKE_MINIMUM_REQUIRED (VERSION 3.5)

# We want a readable feature summary.
INCLUDE(FeatureSummary)

# pkg-config support
INCLUDE(FindPkgConfig)

#
# C++ standard
#
SET(CMAKE_CXX_STANDARD 17)

#
# Basic common compiler flags.
#
SET(COMMON_COMPILER_FLAGS "-pipe -Wall -Wextra -Wno-unused-value -Wno-unused-parameter")

#
# Sanitizer flags for debugging
#
SET(SANITIZER_FLAGS "-fsanitize=undefined -fsanitize=address")

#
# C Compiler Flags
#
SET(CMAKE_C_FLAGS           "${CMAKE_C_FLAGS} ${COMMON_COMPILER_FLAGS}")
SET(CMAKE_C_FLAGS_RELEASE   "-O2")
SET(CMAKE_C_FLAGS_DEBUG     "-O0 -g ${SANITIZER_FLAGS}")

#
# C++ Compiler Flags
#
SET(CMAKE_CXX_FLAGS         "${CMAKE_CXX_FLAGS} ${COMMON_COMPILER_FLAGS}")
SET(CMAKE_CXX_FLAGS         "${CMAKE_CXX_FLAGS} -DJSONCONS_NO_DEPRECATED")
SET(CMAKE_CXX_FLAGS_RELEASE "-O2")
SET(CMAKE_CXX_FLAGS_DEBUG   "-O0 -g ${SANITIZER_FLAGS} -D_GLIBCXX_DEBUG -D_GLIBCXX_DEBUG_PEDANTIC")

#
# GCC Flags
#
IF(CMAKE_COMPILER_IS_GNUCC)
  # Nothing for now
ENDIF()

#
# Clang flags
#
IF("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
  # Nothing for now
ENDIF()

#
# fmt
#
ADD_DEFINITIONS(-DFMT_HEADER_ONLY)

# Add standard math library
SET(LIBS ${LIBS} m)

#
# BOOST
#
FIND_PACKAGE(Boost 1.54.0 COMPONENTS system filesystem)
SET_PACKAGE_PROPERTIES(Boost PROPERTIES TYPE REQUIRED)

IF(Boost_FOUND)
  ADD_DEFINITIONS(-DBOOST_FILESYSTEM_NO_DEPRECATED)
  INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
  SET(LIBS ${LIBS} ${Boost_LIBRARIES} ${Boost_SYSTEM_LIBRARY} ${Boost_FILESYSTEM_LIBRARY})
ENDIF()

#
# X11 support (OPTIONAL)
#
FIND_PACKAGE(X11)

#
# GTK2 support (OPTIONAL)
#
FIND_PACKAGE(GTK2)

#
# Curses support (OPTIONAL)
#
FIND_PACKAGE(Curses)

#
# Windows support
#
if(WIN32)
  # This definition is required for more than just the main-win file,
  # so we need to have it here.
  ADD_DEFINITIONS(-DWINDOWS)
endif(WIN32)

#
# Set the path for loading the library bits.
#
IF(SYSTEM_INSTALL)
  SET(DEFAULT_PATH "${CMAKE_INSTALL_PREFIX}/lib/tome")
ELSE()
  SET(DEFAULT_PATH "./lib")
ENDIF()
ADD_DEFINITIONS(-DDEFAULT_PATH="${DEFAULT_PATH}")

# Print out a summary of features.
FEATURE_SUMMARY(FATAL_ON_MISSING_REQUIRED_PACKAGES WHAT PACKAGES_FOUND PACKAGES_NOT_FOUND)

# Add the source subdirectory.
ADD_SUBDIRECTORY (src)
ADD_SUBDIRECTORY (lib)

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,6 @@
   apex
   cmov
   data
-  dngn
   edit
   file
   help

=== src/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/include)
INCLUDE_DIRECTORIES(SYSTEM ${CMAKE_CURRENT_SOURCE_DIR}/../vendor/bandit)
INCLUDE_DIRECTORIES(SYSTEM ${CMAKE_CURRENT_SOURCE_DIR}/../vendor/fmt)
INCLUDE_DIRECTORIES(SYSTEM ${CMAKE_CURRENT_SOURCE_DIR}/../vendor/pcg-cpp/include)
INCLUDE_DIRECTORIES(SYSTEM ${CMAKE_CURRENT_SOURCE_DIR}/../vendor/jsoncons)
INCLUDE_DIRECTORIES(SYSTEM ${CMAKE_CURRENT_SOURCE_DIR}/../vendor/CppQuickCheck/include)

# Add subdirectories
ADD_SUBDIRECTORY (squelch)

# Sources (common)
SET(SRCS_COMMON
  birth.cc
  bldg.cc
  cave.cc
  cmd1.cc
  cmd2.cc
  cmd3.cc
  cmd4.cc
  cmd5.cc
  cmd6.cc
  cmd7.cc
  corrupt.cc
  device_allocation.cc
  dice.cc
  dungeon.cc
  files.cc
  frontend.cc
  format_ext.cc
  game.cc
  game_edit_data.cc
  gen_evol.cc
  gen_maze.cc
  generate.cc
  gods.cc
  help.cc
  hiscore.cc
  hooks.cc
  init1.cc
  init2.cc
  joke.cc
  key_queue.cc
  level_data.cc
  level_marker.cc
  levels.cc
  loadsave.cc
  lua_bind.cc
  melee1.cc
  melee2.cc
  message.cc
  messages.cc
  mimic.cc
  modules.cc
  monster_spell.cc
  monster_type.cc
  monster1.cc
  monster2.cc
  monster3.cc
  notes.cc
  object1.cc
  object2.cc
  object_filter.cc
  object_flag_meta.cc
  options.cc
  player_type.cc
  powers.cc
  program_args.cc
  q_betwen.cc
  q_bounty.cc
  q_dragons.cc
  q_eol.cc
  q_evil.cc
  q_fireprof.cc
  q_god.cc
  q_god.cc
  q_haunted.cc
  q_hobbit.cc
  q_invas.cc
  q_library.cc
  q_main.cc
  q_narsil.cc
  q_nazgul.cc
  q_nirna.cc
  q_one.cc
  q_poison.cc
  q_rand.cc
  q_shroom.cc
  q_spider.cc
  q_thief.cc
  q_thrain.cc
  q_troll.cc
  q_ultrae.cc
  q_ultrag.cc
  q_wight.cc
  q_wolves.cc
  quest.cc
  randart.cc
  range.cc
  skills.cc
  spell_type.cc
  spells1.cc
  spells2.cc
  spells3.cc
  spells4.cc
  spells5.cc
  spells6.cc
  squeltch.cc
  store.cc
  tables.cc
  util.cc
  variable.cc
  wild.cc
  wizard2.cc
  seed.cc
  xtra1.cc
  xtra2.cc
  z-form.cc
  z-rand.cc
  z-term.cc
  z-util.cc
)

# Sources (TEST)
SET(SRCS_TESTS
  # CppQuickCheck
  ${CMAKE_CURRENT_SOURCE_DIR}/../vendor/CppQuickCheck/src/Arbitrary.cpp
  # Own code
  ../tests/arbitrary/boost_optional.cc
  ../tests/get_level_device.cc
  ../tests/harness.cc
  ../tests/lua_get_level.cc
  ../tests/flag_set.cc
  ../tests/grid.cc
)

ADD_LIBRARY(game
  ${SRCS_COMMON} ${SRCS_VENDOR}
)

ADD_LIBRARY(game_main
  main.cc)

# Need a few additional source files for Windows.
IF(WIN32)
  # Resource files require a little workaround.
  IF(MINGW)
    # Workaround for resource compilation for mingw on CMake.
    # See http://www.cmake.org/Bug/view.php?id=4068
    ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/angband_rc.o
                       COMMAND windres.exe -I${CMAKE_CURRENT_SOURCE_DIR}
                                           -i${CMAKE_CURRENT_SOURCE_DIR}/angband.rc
                                           -o ${CMAKE_CURRENT_BINARY_DIR}/angband_rc.o)
    SET(SRCS ${SRCS} ${CMAKE_CURRENT_BINARY_DIR}/angband_rc.o)
  ELSE(MINGW)
    SET(SRCS ${SRCS} angband.rc)
  ENDIF(MINGW)
  # Executable for Win32
  ADD_EXECUTABLE(tome-win WIN32 main-win.cc)
  TARGET_LINK_LIBRARIES(tome-win game squelch ${LIBS} winmm wsock32)
  INSTALL(TARGETS tome-win RUNTIME DESTINATION bin)
ENDIF(WIN32)

# tome executables
IF(X11_FOUND)
  INCLUDE_DIRECTORIES(${X11_INCLUDE_DIR})
  ADD_EXECUTABLE(tome-x11 main-x11.cc)
  TARGET_LINK_LIBRARIES(tome-x11 game_main game squelch ${LIBS} ${X11_LIBRARIES})
  INSTALL(TARGETS tome-x11 RUNTIME DESTINATION bin)
ENDIF()

IF(CURSES_FOUND)
  INCLUDE_DIRECTORIES(${CURSES_INCLUDE_DIR})
  ADD_EXECUTABLE(tome-gcu main-gcu.cc)
  TARGET_LINK_LIBRARIES(tome-gcu game_main game squelch ${LIBS} ${CURSES_LIBRARIES})
  INSTALL(TARGETS tome-gcu RUNTIME DESTINATION bin)
ENDIF()

IF(GTK2_FOUND)
  INCLUDE_DIRECTORIES(${GTK2_INCLUDE_DIRS})
  ADD_EXECUTABLE(tome-gtk2 main-gtk2.cc)
  TARGET_LINK_LIBRARIES(tome-gtk2 game_main game squelch ${LIBS} ${GTK2_LIBRARIES})
  INSTALL(TARGETS tome-gtk2 RUNTIME DESTINATION bin)
ENDIF()

# test harness executable
ADD_EXECUTABLE(harness ${SRCS_TESTS})
TARGET_LINK_LIBRARIES(harness game squelch ${LIBS})

=== lib/mods/CMakeLists.txt ===
ADD_SUBDIRECTORY(theme)

=== vendor/bandit/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(bandit)

option(BANDIT_BUILD_SPECS   "Build the Bandit specs"                ON)
option(BANDIT_RUN_SPECS     "Run the Bandit specs"                  ON)
option(SNOWHOUSE_IS_CPP11   "Build Snowhouse with C++11 settings"   ON)

set (CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
include(cotire/CMake/cotire)

include_directories("${PROJECT_SOURCE_DIR}")

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ./bin)

if (MSVC)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4 /MP ")
else()
  # Assume GCC-style arguments
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wdeprecated -Wdeprecated-declarations -Wshadow -Wall -W -Werror -Wfloat-equal -Wundef -Wendif-labels")

  if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    if(CMAKE_CXX_COMPILER_VERSION VERSION_LESS "4.7")
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
    else()
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    endif()
  endif()

  if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
  endif()
endif()

#
# If we're on Mac OS we assume we have libc++, otherwise we assume
# we don't need it. (TODO: make this check more sofisticated)
#
if (CMAKE_HOST_APPLE AND (CMAKE_CXX_COMPILER_ID STREQUAL "Clang"))
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
endif()

if (BANDIT_BUILD_SPECS)
    FILE(GLOB BanditSpecSourceFiles specs/*.cpp specs/**/*.cpp)
    add_executable(bandit-specs ${BanditSpecSourceFiles} )
    set_target_properties(bandit-specs PROPERTIES COTIRE_CXX_PREFIX_HEADER_INIT "specs/specs.h")
    set_target_properties(bandit-specs PROPERTIES COTIRE_ADD_UNIT_BUILD FALSE)
    cotire(bandit-specs)
endif()

add_subdirectory(bandit/assertion_frameworks/snowhouse)

if (BANDIT_BUILD_SPECS AND BANDIT_RUN_SPECS)
    add_custom_command(TARGET bandit-specs
                       POST_BUILD
                       COMMAND bandit-specs --no-color --reporter=dots
                       WORKING_DIRECTORY ./bin)
elseif (BANDIT_RUN_SPECS)
    message(WARNING "Unable to run Bandit specs - set:\n  option(BANDIT_BUILD_SPECS, \"Build the Bandit specs\" ON)\nand clear your CMake cache")
endif()

=== lib/mods/theme/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,6 @@
 INSTALL(DIRECTORY
   apex
   data
-  dngn
   edit
   file
   help

=== vendor/CppQuickCheck-2018-03-28/examples/CMakeLists.txt ===
add_executable(sampleOutput src/sampleOutput.cpp)
target_link_libraries(sampleOutput cppqc)

add_executable(sampleShrinkOutput src/sampleShrinkOutput.cpp)
target_link_libraries(sampleShrinkOutput cppqc)

add_executable(testReverse src/TestReverse.cpp)
target_link_libraries(testReverse cppqc)

add_executable(testReverseArray src/TestReverseArray.cpp)
target_link_libraries(testReverseArray cppqc)

add_executable(testSort src/TestSort.cpp)
target_link_libraries(testSort cppqc)

add_executable(testSortCompact src/TestSortCompact.cpp)
target_link_libraries(testSortCompact cppqc)

add_executable(testChooseGenerator src/TestChooseGenerator.cpp)
target_link_libraries(testChooseGenerator cppqc)

add_executable(exampleElementsGen src/exampleElementsGen.cpp)
target_link_libraries(exampleElementsGen cppqc)

add_executable(testSlowShrinking src/TestSlowShrinking.cpp)
target_link_libraries(testSlowShrinking cppqc)

add_executable(testWithCustomGenerator src/TestWithCustomGenerator.cpp)
target_link_libraries(testSlowShrinking cppqc)

# requires c++1y compile flag
#add_executable(testBoostTupleSupport src/BoostTupleSupport.cpp)
#target_link_libraries(testBoostTupleSupport cppqc)

=== vendor/fmt-4.1.0/fmt/CMakeLists.txt ===
# Define the fmt library, its includes and the needed defines.
# *.cc are added to FMT_HEADERS for the header-only configuration.
set(FMT_HEADERS container.h format.h format.cc ostream.h ostream.cc printf.h
                printf.cc string.h time.h)
if (HAVE_OPEN)
  set(FMT_HEADERS ${FMT_HEADERS} posix.h)
  set(FMT_SOURCES ${FMT_SOURCES} posix.cc)
endif ()

add_library(fmt ${FMT_SOURCES} ${FMT_HEADERS} ../README.rst ../ChangeLog.rst)
add_library(fmt::fmt ALIAS fmt)

# Starting with cmake 3.1 the CXX_STANDARD property can be used instead.
# Note: Don't make -std=c++11 public or interface, since it breaks projects
# that use C++14.
target_compile_options(fmt PRIVATE ${CPP11_FLAG})
if (FMT_PEDANTIC)
  target_compile_options(fmt PRIVATE ${PEDANTIC_COMPILE_FLAGS})
endif ()

target_include_directories(fmt PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>
  $<INSTALL_INTERFACE:include>)

set_target_properties(fmt PROPERTIES
  VERSION ${FMT_VERSION} SOVERSION ${CPACK_PACKAGE_VERSION_MAJOR})

if (BUILD_SHARED_LIBS)
  if (UNIX AND NOT APPLE)
    # Fix rpmlint warning:
    # unused-direct-shlib-dependency /usr/lib/libformat.so.1.1.0 /lib/libm.so.6.
    target_link_libraries(fmt -Wl,--as-needed)
  endif ()
  target_compile_definitions(fmt PRIVATE FMT_EXPORT INTERFACE FMT_SHARED)
endif ()

#------------------------------------------------------------------------------
# additionally define a header only library when cmake is new enough
if (CMAKE_VERSION VERSION_GREATER 3.1.0 OR CMAKE_VERSION VERSION_EQUAL 3.1.0)
  add_library(fmt-header-only INTERFACE)
  add_library(fmt::fmt-header-only ALIAS fmt-header-only)

  target_compile_definitions(fmt-header-only INTERFACE FMT_HEADER_ONLY=1)

  target_include_directories(fmt-header-only INTERFACE
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>
    $<INSTALL_INTERFACE:include>)
endif ()

# Install targets.
if (FMT_INSTALL)
  include(GNUInstallDirs)
  include(CMakePackageConfigHelpers)
  set(FMT_CMAKE_DIR ${CMAKE_INSTALL_LIBDIR}/cmake/fmt CACHE STRING
    "Installation directory for cmake files, relative to ${CMAKE_INSTALL_PREFIX}.")
  set(version_config ${PROJECT_BINARY_DIR}/fmt-config-version.cmake)
  set(project_config ${PROJECT_BINARY_DIR}/fmt-config.cmake)
  set(targets_export_name fmt-targets)

  set (INSTALL_TARGETS fmt)
  if (TARGET fmt-header-only)
    set(INSTALL_TARGETS ${INSTALL_TARGETS} fmt-header-only)
  endif ()

  set(FMT_LIB_DIR ${CMAKE_INSTALL_LIBDIR} CACHE STRING
    "Installation directory for libraries, relative to ${CMAKE_INSTALL_PREFIX}.")

  set(FMT_INC_DIR ${CMAKE_INSTALL_INCLUDEDIR}/fmt CACHE STRING
    "Installation directory for include files, relative to ${CMAKE_INSTALL_PREFIX}.")

  # Generate the version, config and target files into the build directory.
  write_basic_package_version_file(
    ${version_config}
    VERSION ${FMT_VERSION}
    COMPATIBILITY AnyNewerVersion)
  configure_package_config_file(
    ${PROJECT_SOURCE_DIR}/support/cmake/fmt-config.cmake.in
    ${project_config}
    INSTALL_DESTINATION ${FMT_CMAKE_DIR})
  export(TARGETS ${INSTALL_TARGETS} NAMESPACE fmt::
         FILE ${PROJECT_BINARY_DIR}/${targets_export_name}.cmake)

  # Install version, config and target files.
  install(
    FILES ${project_config} ${version_config}
    DESTINATION ${FMT_CMAKE_DIR})
  install(EXPORT ${targets_export_name} DESTINATION ${FMT_CMAKE_DIR}
    NAMESPACE fmt::)

  # Install the library and headers.
  install(TARGETS ${INSTALL_TARGETS} EXPORT ${targets_export_name}
          DESTINATION ${FMT_LIB_DIR})
  install(FILES ${FMT_HEADERS} DESTINATION ${FMT_INC_DIR})
endif ()

## tome 2.41-ah~0.git.20200131

=== debian/changelog ===
tome (2.41-ah~0.git.20200131-1.4build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Aug 2025 08:26:42 +0200

tome (2.41-ah~0.git.20200131-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Make requirement for fakeroot explicit when building the package.
    (Closes: #1093364)

 -- Niels Thykier <niels@thykier.net>  Sun, 16 Feb 2025 13:29:22 +0000

tome (2.41-ah~0.git.20200131-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to missing include (Closes: #1059141).

 -- Anton Gladky <gladk@debian.org>  Fri, 29 Dec 2023 22:13:29 +0100

tome (2.41-ah~0.git.20200131-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop GTK 2 binary (Closes: #967779).
  * Convert to source format 3.0 (Closes: #1055609).

 -- Bastian Germann <bage@debian.org>  Wed, 08 Nov 2023 21:30:58 +0100

tome (2.41-ah~0.git.20200131-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 10, thanks to Reiner Herrmann.  (Closes: #966065)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 22 Nov 2022 13:55:27 +0100

tome (2.41-ah~0.git.20200131-1) unstable; urgency=medium

  * New ipstream git snapshot (sync to head)
  * Bug fix: "tome FTBFS on 32bit: invalid conversion from ‘uint32_t*’
    {aka ‘unsigned int*’} to ‘u32b*’ {aka ‘long unsigned int*’}", thanks
    to Adrian Bunk (Closes: #961367).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 27 May 2020 16:50:33 -0700

tome (2.4.0-ah-1) unstable; urgency=medium

  * New upstream version
  * Update the VCS-* fields in the control file to point to salsa
  * Update standards version to 4.3.0. No changes needed
  * The GTK frontend is back.
  * Bug fix: "duplicate files: README.Debian", thanks to IOhannes m
    zmoelnig (Closes: #864346).
  * Bug fix: "FTBFS on hurd-i386: PATH_MAX undeclared", thanks to Aaron
    M. Ucko (Closes: #875774). Added the same max as from
    /usr/include/linux/limits.h

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 22 May 2020 22:03:47 -0700

tome (2.4~0.git.2015.12.29-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Colin Watson ]
  * Only build with -fsanitize=undefined -fsanitize=address on architectures
    that support these.

  [ Bhavani Shankar ]
  * Match variable boolean type in z-rand.cc to fix compilation on
    32 bit archs. Thanks to Andreas Beckmann from debian for the
    report. Closes: #843984.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Sep 2017 22:25:47 +0200

tome (2.4~0.git.2015.12.29-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add "XS-Autobuild: yes" to have the buildds autobuild the package.
    This is also to be able to build binNMUs on the buildds during transitions.
    Closes: #750940

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 10 Oct 2016 14:25:57 +0000

tome (2.4~0.git.2015.12.29-1) unstable; urgency=low

  * New upstream git pull
  * WARNING: This is a pre-release of a new version. The savefile format
    has changed. YOUR OLD SAVES WILL NOT LOAD.
  * This is a pretty major refresh. LUA has gone. The code has moved to
    C++. There are probably unknown bugs.
  * Bug fix: "Fails to execute gtk2 interface because of setguid", thanks
    to falconbird. There is no GTK frontend anymore, so this is now moot.
    (Closes: #750941).
  * Updated the copyright to DEP-5, after rescanning the new soureces
    using debmake -cc

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 27 Jan 2016 14:58:59 -0800

tome (2.3.11-ah-3) unstable; urgency=low

  * Update standards version to 3.9.6. No changes needed
  * Update the VCS-* fields in the control file to use https
  * Move to source format 1.0 and use dgit to release

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 27 Jan 2016 10:43:27 -0800

=== debian/rules ===
--- 
+++ 
@@ -37,17 +37,27 @@
 DPKG_ARCH := dpkg-architecture
 export DEB_HOST_MULTIARCH  := $(shell $(DPKG_ARCH) $(ha) -qDEB_HOST_MULTIARCH)
 
+DEB_HOST_ARCH := $(shell $(DPKG_ARCH) -qDEB_HOST_ARCH)
+CONFIGURE_ARGS :=
+ifneq (,$(filter amd64 arm64 armel armhf i386 powerpc ppc64 ppc64el x32 sparc sparc64,$(DEB_HOST_ARCH)))
+    # Upstream passes these unconditionally, but they're only available on
+    # certain architectures.
+    CONFIGURE_ARGS += \
+	-DCMAKE_C_FLAGS_DEBUG="${SANITIZER_FLAGS}" \
+	-DCMAKE_CXX_FLAGS_DEBUG="${SANITIZER_FLAGS}"
+endif
+
 %:
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DSYSTEM_INSTALL:BOOL=true
+	dh_auto_configure -- -DSYSTEM_INSTALL:BOOL=true $(CONFIGURE_ARGS)
 
 override_dh_auto_build:
-	bash -n debian/postinst
-	bash -n debian/postrm
-	bash -n debian/prerm
-	bash -n debian/preinst
+	bash -n debian/tome.postinst
+	bash -n debian/tome.postrm
+	bash -n debian/tome.prerm
+	bash -n debian/tome.preinst
 	bash -n debian/Tome.sh
 
 override_dh_install:
@@ -70,9 +80,9 @@
 override_dh_fixperms:
 	dh_fixperms
 	chgrp -R games       $(TMPTOP)/etc/$(package)/* $(PKG_STATLIB)/* $(PKG_LIBDIR) \
-                             $(TMPTOP)/usr/games/tome
+                             $(TMPTOP)/var/games/tome
 	chmod g+ws           $(PKG_LIBDIR)/data/
-	chmod g+s            $(TMPTOP)/usr/games/tome
+	chmod g+s            $(TMPTOP)/var/games/tome
 
 override_dh_clean:
 	dh_clean
@@ -81,6 +91,10 @@
 	touch ./lib/info/delete.me
 	touch ./lib/save/delete.me
 	touch ./lib/user/delete.me
+	test ! -e ${SRCTOP}/CMakeCache.txt || rm -f ${SRCTOP}/CMakeCache.txt
+	test ! -e ${SRCTOP}/Ccmake_install.cmake || rm -f ${SRCTOP}/cmake_install.cmake
+	test ! -e ${SRCTOP}/mAKEFILE || rm -f ${SRCTOP}/mAKEFILE
+	test ! -d ${SRCTOP}/CMakeFiles || rm -f ${SRCTOP}/CMakeFiles/
 
 #Local variables:
 #mode: makefile

=== debian/watch ===
version=4

opts="pgpmode=none filenamemangle=s%v?(\d[-a-z\d.]*)\.tar\.gz%tome-$1.tar.gz%" \
             https://github.com/tome2/tome2/tags \
             (?:.*?/)?v?(\d[-\d.a-z]*)\.tar\.gz debian uupdate
